<section>
  <div class="container">
    <div class="row justify-content-center">
      <div class="col-12 col-md-8 col-lg-8 col-xl-6">
        <div class="row">
          <div class="col text-center">
            <h1>Register</h1>
            <p class="text-h3">Please fill the form. </p>
          </div>
        </div>
        <form [formGroup]="registerForm">
        <div class="row align-items-center">
          <div class="col mt-4">
            <input type="text" formControlName="userName" class="form-control" placeholder="User name" required>
            <div *ngIf="registerForm.controls.userName.errors">
              <span class="error" *ngIf="registerForm.controls.userName.touched && (registerForm.controls.userName.errors?.required)">
                  Please enter user name
              </span>
              <span class="error" *ngIf="registerForm.controls.userName.touched && registerForm.controls.userName.errors?.minlength">
                  Please enter minimum 2 characters
              </span>
          </div>
          </div>
        </div>
        <div class="row align-items-center mt-4">
          <div class="col">
            <input type="email" class="form-control" placeholder="Email" formControlName="email" required>
            <div *ngIf="registerForm.controls.email.errors">
              <span class="error" *ngIf="registerForm.controls.email.touched &&registerForm.controls.email.errors?.required">
                  Please enter email
              </span>
              <span class="error" *ngIf="registerForm.controls.email.touched && registerForm.controls.email.hasError('invalidEmail')">
                 Please enter valid email
              </span>
          </div>
          </div>
        </div>
        <div class="row align-items-center mt-4">
          <div class="col">
            <input type="password" class="form-control" placeholder="Password" formControlName="password" required>
            <div *ngIf="registerForm.controls.password.errors">
              <span class="error" *ngIf="registerForm.controls.password.touched &&registerForm.controls.password.errors?.required">
                  Please enter password
              </span>
              <span class="error" *ngIf="registerForm.controls.password.touched && registerForm.controls.password.hasError('invalidPassword')">
                 Password should include capital,small,special character & number
              </span>
            </div>
          </div>
        </div>
        <div class="row align-items-center mt-4">
          <div class="col">
            <input type="password" class="form-control" formControlName="confirmPassword" placeholder="Confirm Password">
            <div *ngIf="registerForm.controls.confirmPassword.errors">
              <span class="error" *ngIf="registerForm.controls.confirmPassword.touched &&registerForm.controls.confirmPassword.errors?.required">
                  Please enter password
              </span>
              <span class="error" *ngIf="registerForm.controls.confirmPassword.touched && registerForm.controls.confirmPassword.hasError('mismatchedPasswords')">
                Password does not match
              </span>
            </div>
          </div>
        </div>
        <div class="row align-items-center mt-4">
          <div class="col">
            <input type="text" [textMask]="{mask: mask}" class="form-control" formControlName="phone" placeholder="Mobile no." required>
                  <div *ngIf="registerForm.controls.phone.errors">
                    <span class="error" *ngIf="registerForm.controls.phone.touched &&registerForm.controls.phone.errors?.required">
                        Please enter phone number
                    </span>
                    <span class="error" *ngIf="registerForm.controls.phone.touched &&registerForm.controls.phone.errors?.minlength">
                      Please enter 10 digits number
                  </span>
                    <span class="error" *ngIf="registerForm.controls.phone.touched && registerForm.controls.phone.hasError('invalidMobileNumber')">
                       Please enter valid number
                    </span>
                  </div>
          </div>
        </div>
        <div class="row justify-content-start mt-4">
          <div class="col">
            <div class="form-check">
              <label class="form-check-label">
                <input type="checkbox" class="form-check-input" formControlName="isCheckTerms" >
                I Read and Accept <a href="#">Terms and Conditions</a>
              </label>
            </div>

            <button class="btn btn-primary mt-4" type="submit" [disabled]="registerForm.invalid || !registerForm.controls.isCheckTerms.value" (click)="submitForm()">Submit</button>
          </div>
        </div>
      </form>
      </div>
    </div>
  </div>
</section>
